Bug 1814248 - Missing package ansiblerole-satellite-receptor-installer
Summary: Missing package ansiblerole-satellite-receptor-installer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Ansible
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-17 13:41 UTC by Lukáš Hellebrandt
Modified: 2020-04-14 13:38 UTC (History)
4 users (show)

Fixed In Version: ansiblerole-satellite-receptor-installer-0.6.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:38:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lukáš Hellebrandt 2020-03-17 13:41:04 UTC
Description of problem:
The ansiblerole-satellite-receptor-installer package contains a role that is used by receptor installation job in Satellite. It's not being installed with Satellite.

Version-Release number of selected component (if applicable):
Sat 6.7 snap 16

How reproducible:
Deterministic

Steps to Reproduce:
1. Run Satellite installation job, get an error message:
ERROR! the role 'project-receptor.satellite_receptor_installer' was not found in /tmp/d20200317-3378-1t4voba/project/roles:/etc/ansible/roles:/usr/share/ansible/roles:/tmp/d20200317-3378-1t4voba/project

OR

1. # rpm -q ansiblerole-satellite-receptor-installer
package ansiblerole-satellite-receptor-installer is not installed

Actual results:
Package with role missing

Expected results:
Package with role installed

Comment 3 Lukáš Hellebrandt 2020-03-20 09:09:18 UTC
s/Run Satellite installation/Run Receptor installation/

Comment 4 Lukáš Hellebrandt 2020-03-26 10:22:05 UTC
Verified with Sat 6.7 snap 17. There is now ansiblerole-satellite-receptor-installer-0.6.2-2 package installed with Satellite and Receptor installation job passes.

Comment 6 Bryan Kearney 2020-04-14 13:38:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.